<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fs.ad.mapper.AdYoukuAccountMapper">
    
    <resultMap type="AdYoukuAccount" id="AdYoukuAccountResult">
        <result property="id"    column="id"    />
        <result property="accountId"    column="account_id"    />
        <result property="accountName"    column="account_name"    />
        <result property="appKey"    column="app_key"    />
        <result property="token"    column="token"    />
        <result property="createTime"    column="create_time"    />
        <result property="createBy"    column="create_by"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectAdYoukuAccountVo">
        select id, account_id, account_name, app_key, token, create_time, create_by, update_by, update_time, remark from ad_youku_account
    </sql>

    <select id="selectAdYoukuAccountList" parameterType="AdYoukuAccount" resultMap="AdYoukuAccountResult">
        <include refid="selectAdYoukuAccountVo"/>
        <where>  
            <if test="accountId != null  and accountId != ''"> and account_id = #{accountId}</if>
            <if test="accountName != null  and accountName != ''"> and account_name like concat('%', #{accountName}, '%')</if>
            <if test="appKey != null  and appKey != ''"> and app_key = #{appKey}</if>
            <if test="token != null  and token != ''"> and token = #{token}</if>
        </where>
    </select>
    
    <select id="selectAdYoukuAccountById" parameterType="Long" resultMap="AdYoukuAccountResult">
        <include refid="selectAdYoukuAccountVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertAdYoukuAccount" parameterType="AdYoukuAccount" useGeneratedKeys="true" keyProperty="id">
        insert into ad_youku_account
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="accountId != null">account_id,</if>
            <if test="accountName != null">account_name,</if>
            <if test="appKey != null">app_key,</if>
            <if test="token != null">token,</if>
            <if test="createTime != null">create_time,</if>
            <if test="createBy != null">create_by,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="accountId != null">#{accountId},</if>
            <if test="accountName != null">#{accountName},</if>
            <if test="appKey != null">#{appKey},</if>
            <if test="token != null">#{token},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateAdYoukuAccount" parameterType="AdYoukuAccount">
        update ad_youku_account
        <trim prefix="SET" suffixOverrides=",">
            <if test="accountId != null">account_id = #{accountId},</if>
            <if test="accountName != null">account_name = #{accountName},</if>
            <if test="appKey != null">app_key = #{appKey},</if>
            <if test="token != null">token = #{token},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAdYoukuAccountById" parameterType="Long">
        delete from ad_youku_account where id = #{id}
    </delete>

    <delete id="deleteAdYoukuAccountByIds" parameterType="String">
        delete from ad_youku_account where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>